Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeSpotPriceHistoryResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeSpotPriceHistoryResult

    public class DescribeSpotPriceHistoryResult

extends Object

Constructor Summary
`DescribeSpotPriceHistoryResult()`

Method Summary
`List<SpotPrice>` | `getSpotPriceHistory()`
`void` | `setSpotPriceHistory(Collection<SpotPrice> spotPriceHistory)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeSpotPriceHistoryResult` | `withSpotPriceHistory(Collection<SpotPrice> spotPriceHistory)` Returns a reference to this object so that method calls can be chained together.
`DescribeSpotPriceHistoryResult` | `withSpotPriceHistory(SpotPrice... spotPriceHistory)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeSpotPriceHistoryResult

    public DescribeSpotPriceHistoryResult()

Method Detail

### getSpotPriceHistory

    public List<SpotPrice> getSpotPriceHistory()

  Returns:

### setSpotPriceHistory

    public void setSpotPriceHistory(Collection<SpotPrice> spotPriceHistory)

  Parameters:
    `spotPriceHistory` -

### withSpotPriceHistory

    public DescribeSpotPriceHistoryResult withSpotPriceHistory(SpotPrice... spotPriceHistory)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `spotPriceHistory` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withSpotPriceHistory

    public DescribeSpotPriceHistoryResult withSpotPriceHistory(Collection<SpotPrice> spotPriceHistory)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `spotPriceHistory` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.